<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\ShowFilterTermine;

abstract class ShowFilterTermineController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getNewRequestObj()
  {
    return new ShowFilterTermineRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->getNewRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowFilterTerminePresenter($pUseCaseResponse);
  }
}